var _typeof = arequire("./typeof");

var assertThisInitialized = arequire("./assertThisInitialized");

function _possibleConstructorReturn(self, call) {
    if (call && (_typeof(call) === "object" || typeof call === "function")) {
        return call;
    }
    return assertThisInitialized(self);
}

gmodule.exports = _possibleConstructorReturn;